# AutoMod Translations

![](https://weblate.insrt.uk/widgets/automod/-/svg-badge.svg)&ensp;
[<img src="https://img.shields.io/badge/dynamic/json?labelColor=fe4654&color=15283f&label=Revolt%20Translators&query=member_count&suffix=%20Members&url=https%3A%2F%2Fapi.revolt.chat%2Finvites%2F5dHVyTjb&cacheSeconds=60" />](https://rvlt.gg/5dHVyTjb)
<img src="https://autumn.revolt.chat/emojis/01GS5T82QRZYA6HZHR26TVE6MG" height=24>

<a href="https://weblate.insrt.uk/engage/automod/">
<img src="https://weblate.insrt.uk/widgets/automod/-/bot/multi-auto.svg" alt="Translation status" />
</a>

> **DO NOT** create pull requests directly to this repository, unless you're adding new strings - See below!

Translations are handled via Weblate - Contribute [here](https://weblate.insrt.uk/projects/automod/).

### Reporting translation issues

If you've found a translation issue, check if you can resolve it through Weblate first. If you can't, create an issue on this repository.

You can [sign in on this Forgejo instance using your GitHub account](https://git.amogus.cloud/user/oauth2/github) - No need to manage separate account credentials.

### Add or maintain a language

If you want to add a new language or maintain an existing one, please create a pull request. Maintainers have access to approve translations, similar to how [Revolt handles it](https://github.com/revoltchat/translations#what-do-i-do).

### Adding strings

If you've contributed to AutoMod and need to add new translation strings, please create a pull request here and link to it in your pull request on the AutoMod repository. Make sure to add strings to `en` as it's the default language. You may also translate the new strings at the same time, but it's preferred to translate using Weblate at a later point. Commit the change to the `external/translations` submodule to your pull request!

When contributing gendered strings, create a neutral key (for example `test.hello`), and add 2 keys with the suffix `_f` and `_m` respectively (for example `test.hello_f` and `test.hello_m`).
